### A free/open-source library for quantitative finance

ConstantCPIVolatility Class Reference

Constant surface, no K or T dependence. More...

`#include <ql/termstructures/volatility/inflation/constantcpivolatility.hpp>`

Inheritance diagram for ConstantCPIVolatility:
[legend]

List of all members.

## Public Member Functions

Constructor
| ConstantCPIVolatility (const Volatility v, Natural settlementDays, const Calendar &, BusinessDayConvention bdc, const DayCounter &dc, const Period &observationLag, Frequency frequency, bool indexIsInterpolated)
| calculate the reference date based on the global evaluation date
Limits
virtual Date | maxDate () const
| the latest date for which the curve can return values
virtual Real | minStrike () const
| the minimum strike for which the term structure can return vols
virtual Real | maxStrike () const
| the maximum strike for which the term structure can return vols

## Detailed Description

Constant surface, no K or T dependence.